## gri 2.12.21

=== debian/changelog ===
gri (2.12.21-1build1) maverick; urgency=low

  * Rebuild for libnetcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Sep 2010 10:48:07 +0000

gri (2.12.21-1) unstable; urgency=low

  * New upstream release        
  Bug Fixes:
  - Fix github bug http://github.com/dankelley/gri/issues#issue/1
    (`convert grid to image directly' misplaced image ``patches'' by one
     patch width and one patch height.)

 -- Peter S Galbraith <psg@debian.org>  Mon, 07 Jun 2010 09:47:21 -0400

gri (2.12.20-1) unstable; urgency=low

  * gri-pdf-doc: New binary package replaces "gri-ps-doc" package.
  * Switch to Debian source package format 3.0 (quilt)
  * New upstream release        
  - add `starting' option to `set x axis' and `set y axis'.
  - add `directly' option to `convert grid to image'.
  - gri-mode.el font-locking was broken since Emacs-22
  Bug Fixes:
  - Fix SourceForge bug #2913919 (SVG: all symbols are ".")
  - Fix SourceForge bug #2913893 (svg segfault on draw label)
  - Fix SourceForge bug #2913841 (svg draw box filled not filled)
  - Fix SourceForge bug #2913840 (svg images are upside-down)
  - Fix SourceForge bug #2913838 (image postscript clip problem)
  * Various lintian fixes in debian/control
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 01 Apr 2010 10:14:27 -0400

gri (2.12.19-3) unstable; urgency=low

  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553777).

 -- Peter S Galbraith <psg@debian.org>  Mon, 02 Nov 2009 17:13:32 -0500

gri (2.12.19-2) unstable; urgency=low

  * Bug fix: "FTBFS: Nonexistent build-dependency: netcdfg-dev", thanks to
    Lucas Nussbaum (Closes: #549756).  Switched to libnetcdf-dev.  Also
    switch gs to ghostscript.

 -- Peter S Galbraith <psg@debian.org>  Mon, 05 Oct 2009 21:31:45 -0400

gri (2.12.19-1) unstable; urgency=low

  * New upstream release	
  Bug Fixes:
  - Fix SourceForge bug #2977816 (Fedora packaging requires more precise
    license declarations.
  - Fix SourceForge bug #3266884 (error in docs for strlen).

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 15:08:08 -0400

gri (2.12.18-1) unstable; urgency=low
	
  * New upstream release	
  Bug Fixes:
  - Improve security when creating temporary files.
  - Fix SourceForge bug #1985862 (output had axis linewidth equal to curve
    line width).

 -- Peter S Galbraith <psg@debian.org>  Mon, 08 Sep 2008 20:46:30 -0400
	

gri (2.12.17-1) unstable; urgency=low

  * New upstream release
  New Features
   Add GNU readline support so that interactive mode will have history,
   command editing, etc.
  Bug Fixes:
  - Fix SourceForge bug #1913577 (superscripts did not end correctly, if
    preceeded by an inline { block).
  - Fix SourceForge bug #1761562 (y axis name printed upside down, for log
    axes in which user specified a high values at the bottom end of the
    axis)
  * gri-mode.el: minor fix for emacs-22 and license update to GPL V2 or later.
  * control: Added libreadline5-dev to Build-Depends.

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2008 20:48:14 -0400

gri (2.12.16-3) unstable; urgency=low

  * Bug fix: "gri-el: bashism ("&>") in emacsen install script", thanks to
    Aaron M. Ucko (Closes: #467639). Modernize gri-el byte-compilation.
  * Bug fix: "gri-el: Relies on gv, but does not recommend it", thanks to
    Javier Kohen (Closes: #470504).

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 Mar 2008 21:02:21 -0400

gri (2.12.16-2) unstable; urgency=low

  * gri-el: Prefer emacs22 instead of emacs21.
  * Bug fix: "gri: Uninstallable, can't be binNMU'ed.", thanks to
    Kurt Roeckx (Closes: #466434).  Rebuild for libnetcdf4.
  * Bug fix: "Confused by filenames with newlines", thanks to Trent
    W\. Buck (Closes: #446173).  Use "\\.gri\\'" instead of "\\.gri$" in
    auto-mode-alist.

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Feb 2008 20:24:45 -0500

gri (2.12.16-1) unstable; urgency=low

  * Bug fix: "gri: landscape produces interdependent pages", thanks to
    Bernhard R. Link for outlining the fix (Closes: #130802).
  * Bug fix: "gri: 'set page landscape' requires 'set page size' first,
    but it should really default to something reasonable instead
    (Closes: #434010).

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 18:52:34 -0400

gri (2.12.15-5) unstable; urgency=low

  * Bug fix: "gri: FTBFS if built twice in a row", thanks to Bernd Zeimetz
    (Closes: #424371).

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 May 2007 20:35:23 -0400

gri (2.12.15-4) unstable; urgency=low

  * Added texlive-latex-base to build dependencies for missing lcircle10
    font.

 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Apr 2007 20:03:20 -0400

gri (2.12.15-3) unstable; urgency=low

  * Build-depend (as well as Build-Depends-Indep) on
    texlive-generic-recommended instead of tetex-bin.  Thanks to Kurt
    Roeckx (Closes: #419602).

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Apr 2007 22:06:17 -0400

gri (2.12.15-2) unstable; urgency=low

  * Build-depend on texlive-generic-recommended instead of tetex-bin.
    Thanks to Kurt Roeckx (Closes: #419602).

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Apr 2007 21:13:05 -0400

gri (2.12.15-1) unstable; urgency=low

  * New upstream release
  Bug Fixes:
  - Fix SourceForge bug #1700978 (html concept index mostly broken)
  - Fix SourceForge bug #1698924 (box plots show missing data)
  - Fix Debian bug #417217 (will not compile in GCC 4.3) (Closes: #417217)
  - Fix SourceForge bug #1698116 (poorly-positioned name of RHS y-axis)

 -- Peter S Galbraith <psg@debian.org>  Sat, 14 Apr 2007 22:04:29 -0400

gri (2.12.14-1) unstable; urgency=low

   * New upstream release
     Bug Fixes:
     - Fix SourceForge bug #1630768 (Fix to segfault in clipped images (a
       bug that may have developed after version 2.13.3))

 -- Peter S Galbraith <psg@debian.org>  Fri, 19 Jan 2007 23:11:54 -0500

gri (2.12.13-1) unstable; urgency=low


