=== debian/control ===
Source: gri
Section: science
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper (>= 7), libnetcdf-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, texinfo, imagemagick, info, ghostscript, gsfonts
Homepage: http://gri.sourceforge.net/
Standards-Version: 3.8.4

Package: gri
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info, perl 
Suggests: gri-html-doc, gri-pdf-doc, gri-el, gv
Description: a language for scientific illustration
 Gri is an open-source language for scientific graphics programming. It is
 command-driven, as opposed to point/click. Some users consider Gri similar
 to LaTeX, since both provide extensive power as a reward for tolerating a
 learning curve. The output is industry-standard PostScript as output,
 suitable for inclusion in other documents.
 .
 Gri can make x-y graphs, contour graphs, and image graphs. Fine control is
 provided over all aspects of drawing, e.g. line widths, colors, fonts,
 etc. Greek letters and mathematical symbols are available in a TeX-like
 syntax.
 .
 Folks who write 1000-line Gri scripts usually start with something as
 simple as the following:
 .
   open file.dat        # open a file
   read columns x * y   # read the 1st column as x and the 3rd as y
   draw curve           # draw the data and autoscale the axes
 .
 A full manual is also available in HTML (gri-html-doc package), in
 PDF suitable for printing (gri-pdf-doc package) and on-line by
 following links from the gri home page:
   http://gri.sourceforge.net/

Package: gri-el
Section: lisp
Architecture: all
Depends: gri (>= 2.12.1-2), emacs23 | emacsen, ${misc:Depends}
Recommends: gv
Conflicts: gri (<= 2.12.1-1)
Description: Emacs major-mode for gri, a language for scientific graphics
 Gri is an open-source language for scientific graphics programming.
 .
 This is the Emacs major-mode for gri.

Package: gri-html-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-base
Description: HTML manual for gri, a language for scientific graphics
 Gri is a command-driven application for making x-y graphs, 
 contour-graphs, and image graphs.
 .
 This is the Gri manual in HTML format and can be accessed directly via
   file:/usr/share/doc/gri/html/index.html
 or
   http://localhost/doc/gri/html/
 or via doc-central, dwww or dhelp interfaces (if you have the doc-base
 package installed). Note that the manual in info format (without graphics)
 is included in the gri package itself.  This manual is available on
 the web via:
   http://gri.sourceforge.net/gridoc/html/

Package: gri-pdf-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gri (<< 2.12.23-2)
Replaces: gri (<< 2.12.23-2), gri-ps-doc
Description: PostScript manual for gri, a language for scientific graphics
 Gri is a command-driven application for making x-y graphs, contour-graphs,
 and image graphs.
 .
 This is the Gri manual in PDF format suitable for printing or viewing
 on-screen.  The compressed file is located at /usr/share/doc/gri/gri.pdf.gz
