=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gri
 Section: science
 Priority: optional
-Maintainer: Peter S Galbraith <psg@debian.org>
-Build-Depends: debhelper (>= 7), libnetcdf-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, texinfo, imagemagick, info, ghostscript, gsfonts
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter S Galbraith <psg@debian.org>
+Build-Depends: debhelper-compat (= 12), libnetcdf-dev, libreadline-dev, texlive-latex-base, texlive-plain-generic, texinfo, imagemagick, info, ghostscript, gsfonts
 Homepage: http://gri.sourceforge.net/
-Standards-Version: 3.8.4
+Standards-Version: 4.5.0
 
 Package: gri
 Section: science
@@ -38,7 +39,7 @@
 Package: gri-el
 Section: lisp
 Architecture: all
-Depends: gri (>= 2.12.1-2), emacs23 | emacsen, ${misc:Depends}
+Depends: gri (>= 2.12.1-2), emacs | emacsen, ${misc:Depends}
 Recommends: gv
 Conflicts: gri (<= 2.12.1-1)
 Description: Emacs major-mode for gri, a language for scientific graphics
