=== debian/rules ===
--- 
+++ 
@@ -44,12 +44,8 @@
 	-rm -f doc/screenshots/*.pdf doc/examples/*.pdf
 	-rm src/gri.cmd src/startup.msg-tmp
 	mv doc/FAQ.html.KEEP doc/FAQ.html
-	-mv texinfo.tex.KEEP texinfo.tex
-	-mv doc/texinfo.tex.KEEP doc/texinfo.tex
-
+	dh_autoreconf_clean
 	dh_clean
-	rm -fR debian/gri-$(version)static
-	rm -f  debian/README.Debian debian/gri.1
 	rm -f doc/gri_unpage.1 doc/gri_merge.1
 	chmod u+w debian/changelog
 
@@ -61,22 +57,15 @@
 	cd src; make install_linux_debian debian=`pwd`/../debian/gri
 
 debian/gri_merge.1:
-	#sed -e 's/VSN/$(version)/g' \
-	#	debian/copyright.template > debian/copyright
-	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
-		debian/gri.man > debian/gri.1
-	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
-		debian/README.Debian.template > debian/README.Debian
 	cp doc/gri_unpage.1-skel doc/gri_unpage.1
 	cp doc/gri_merge.1-skel doc/gri_merge.1
-	# Temporary fix for 2.12.23-9 (Fixed upstream for 2.12.24)
-	-mv texinfo.tex texinfo.tex.KEEP
-	-mv doc/texinfo.tex doc/texinfo.tex.KEEP
 
 Makefile:
 # To test on g++-3.0 :
 #	CC=gcc-3.0 CXX=g++-3.0 ./configure --prefix=/usr
-	./configure --prefix=/usr --enable-linux_debian
+	#./configure --prefix=/usr --enable-linux_debian
+	dh_autoreconf
+	dh_auto_configure -- --enable-linux_debian
 
 # Build architecture-independent files here (no need to be root).
 build-indep: debian/gri_merge.1 Makefile
